Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface IUserGroupManager

All Superinterfaces:
  IObjectManager

public interface IUserGroupManager
extends IObjectManager

An interface that enables management of user groups.

Method Summary
`void` | `addMemberGroups(int parentGroupID, int[] memberGroupIDs)` Adds groups to a group.
`void` | `addMemberUsers(int groupID, int[] memberUserIDs)` Adds users to a group.
`int` | `createGroup(java.lang.String name, java.lang.String description, int adminFolderID, int[] memberUserIDs, int[] memberGroupIDs)` Creates a new user group.
`void` | `deleteGroups(int[] groupIDs)` Deletes specified user groups.
`void` | `removeMemberGroups(int parentGroupID, int[] memberGroupIDs)` Removes groups from a group.
`void` | `removeMemberUsers(int groupID, int[] memeberUserIDs)` Removes users from a group.

Methods inherited from interface com.plumtree.remote.prc.IObjectManager
`lookupObjectID, lookupUUID, queryACL, queryCommunitiesForPortlet, queryExtendedData, queryObjects, queryObjects, queryObjects, queryObjects, queryObjects, querySingleObject, updateACL`

Method Detail

### createGroup

    public int createGroup(java.lang.String name,
                           java.lang.String description,
                           int adminFolderID,
                           int[] memberUserIDs,
                           int[] memberGroupIDs)
                    throws PortalException,
                           java.rmi.RemoteException

  Creates a new user group. Note: Any invalid user or group IDs will be silently ignored.

  Parameters:
    `name` - a group name
    `description` - a group description
    `adminFolderID` - an admin folder ID to create the group in; cannot be negative.
    `memberUserIDs` - an array of user IDs to include as members
    `memberGroupIDs` - an array of group IDs to include as subgroups
  Returns:
    an ID of a newly created user group
  Throws:
    `PortalException` - if the operation resulted in an error on the portal
    `java.rmi.RemoteException` - if there is a communication problem during the execution of the remote method call

### deleteGroups

    public void deleteGroups(int[] groupIDs)
                      throws PortalException,
                             java.rmi.RemoteException

  Deletes specified user groups. Passing any invalid or non-existent group IDs (or any duplicates) will result in a PortalException. Note: As this method performs multiple operations, any exception thrown relating to these will have details of each failure.

  Parameters:
    `groupIDs` - an array of group IDs to delete
  Throws:
    `PortalException` - if the operation resulted in an error on the portal
    `java.rmi.RemoteException` - if there is a communication problem during the execution of the remote method call

### addMemberUsers

    public void addMemberUsers(int groupID,
                               int[] memberUserIDs)
                        throws PortalException,
                               java.rmi.RemoteException

  Adds users to a group. Any invalid memberUserIDs will be silently ignored. Passing a non-existent groupID will result in a PortalException. Note: As this method performs multiple operations, any exception thrown relating to these will have details of each failure.

  Parameters:
    `groupID` - a group to add the users to
    `memberUserIDs` - an array of users to add to the group
  Throws:
    `PortalException` - if the operation resulted in an error on the portal
    `java.rmi.RemoteException` - if there is a communication problem during the execution of the remote method call
    `java.lang.IllegalArgumentException` - if passed an invalid group ID

### removeMemberUsers

    public void removeMemberUsers(int groupID,
                                  int[] memeberUserIDs)
                           throws PortalException,
                                  java.rmi.RemoteException

  Removes users from a group. Any invalid memberUserIDs will be silently ignored. Passing a non-existent groupID will result in a PortalException. Note: As this method performs multiple operations, any exception thrown relating to these will have details of each failure.

  Parameters:
    `groupID` - a group to remove the users from
    `memeberUserIDs` - an array of users to remove from the group
  Throws:
    `PortalException` - if the operation resulted in an error on the portal
    `java.rmi.RemoteException` - if there is a communication problem during the execution of the remote method call
    `java.lang.IllegalArgumentException` - if passed an invalid group ID

### addMemberGroups

    public void addMemberGroups(int parentGroupID,
                                int[] memberGroupIDs)
                         throws PortalException,
                                java.rmi.RemoteException

  Adds groups to a group. Any invalid memberGroupIDs will be silently ignored. Passing a non-existent parentGroupID will result in a PortalException. Note: As this method performs multiple operations, any exception thrown relating to these will have details of each failure.

  Parameters:
    `parentGroupID` - parent group to add the groups to
    `memberGroupIDs` - an array of groups to add to the parent group
  Throws:
    `PortalException` - if the operation resulted in an error on the portal
    `java.rmi.RemoteException` - if there is a communication problem during the execution of the remote method call
    `java.lang.IllegalArgumentException` - if passed an invalid parent group ID

### removeMemberGroups

    public void removeMemberGroups(int parentGroupID,
                                   int[] memberGroupIDs)
                            throws PortalException,
                                   java.rmi.RemoteException

  Removes groups from a group. Any invalid memberGroupIDs will be silently ignored. Passing a non-existent parentGroupID will result in a PortalException. Note: As this method performs multiple operations, any exception thrown relating to these will have details of each failure.

  Parameters:
    `parentGroupID` - parent group to remove the groups from
    `memberGroupIDs` - an array of groups to remove from the parent group
  Throws:
    `PortalException` - if the operation resulted in an error on the portal
    `java.rmi.RemoteException` - if there is a communication problem during the execution of the remote method call
    `java.lang.IllegalArgumentException` - if passed an invalid parent group ID

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.